Package org.silverpeas.components.resourcesmanager

# Class UserRoleEventListener

java.lang.Object
org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.user.notification.role.UserRoleEvent>
org.silverpeas.components.resourcesmanager.UserRoleEventListener

All Implemented Interfaces:
  `org.silverpeas.core.notification.system.ResourceEventListener<org.silverpeas.core.admin.user.notification.role.UserRoleEvent>`

@Service public class UserRoleEventListener extends org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.user.notification.role.UserRoleEvent>
Listeners of events about changes in the users list of the role named 'responsable'. For any users who don't play anymore this role, they are removed from the managers in charge of the validation for all the bookable resources handled by the Resources Manager applications.

Author:
  mmoquillon

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserRoleEventListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onDeletion(org.silverpeas.core.admin.user.notification.role.UserRoleEvent event)`

  ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `onEvent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEventListener

  `dispatchEvent, isEnabled, onCreation, onMove, onRecovery, onRemoving, onUnlock, onUpdate`

- ## Constructor Details

  - ### UserRoleEventListener

    public UserRoleEventListener()

- ## Method Details

  - ### onDeletion

    public void onDeletion(org.silverpeas.core.admin.user.notification.role.UserRoleEvent event)